Subject: Call for Feedback on the current IRTF Chair

From: IAB Chair <[email-masked]>
Date: Fri, 17 Oct 2014 14:26:03 -0400

As part of its oversight responsibility for the Internet Research Task Force (IRTF), the IAB is soliciting comments from the community on the performance of the IRTF Chair, Lars Eggert.  We are interested in comments on what has gone well or badly in the last several years.  Lars has been serving in the IRTF Chair position since March 2011.

RFC 2850 includes a paragraph about the selection of the IRTF Chair.  It says:

  3.3 Selection of the IRTF chair

  The IAB shall have the authority to appoint the chair of the Internet
  Research Task Force (IRTF) for a two-year renewable term, and to
  remove him or her. The IRTF chair shall be responsible for the
  management and organization of the IRTF according to [BCP 8].

Please send comments to iab-chair at iab.org and execd at iab.org.

We would appreciate receiving comments as soon as possible, as the IAB will likely begin the next steps in the oversight process shortly after the end of IETF 91 in Honolulu.

Thank you,
  Russ Housley
  IAB Chair

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 19 Oct 2014 05:49:35 +0200

I cannot comment on any IRTF chair performance while there may be a
structure issue in IETF or no clear relationship between IETF work and IRTF
work at some levels. I know there may be some references governing such
relationship but are they remembered/understood (a pointer to references
can solve that). IMHO, The relationship may be clear in the management
level but not in IETF participant level. Furthermore, your message below
requests that the reader knows the role of the IRTF chair (in IRTF and in
IETF), but I suggest that the message should include the chair role before
mentioning section 3.3,

AB

IETF participant from Africa

On Friday, October 17, 2014, IAB Chair <[email-masked]> wrote:

> As part of its oversight responsibility for the Internet Research Task
> Force (IRTF), the IAB is soliciting comments from the community on the
> performance of the IRTF Chair, Lars Eggert.  We are interested in comments
> on what has gone well or badly in the last several years.  Lars has been
> serving in the IRTF Chair position since March 2011.
>
> We would appreciate receiving comments as soon as possible, as the IAB
> will likely begin the next steps in the oversight process shortly after the
> end of IETF 91 in Honolulu.
>
> Thank you,
>   Russ Housley
>   IAB Chair
>